@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Roboto", sans-serif;
    background-color: #ffffff;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #535252;
    padding: 10px 20px;
}

.logo img {
    width: 65px;
    height: 40px;
    margin-top: 5px;
}

.nav-items {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.nav-items li {
    margin-left: 20px;
}

.nav-items a {
    color: white;
    text-decoration: none;
    padding: 10px;
    transition: background-color 0.3s ease;
}

.nav-items a:hover {
    background-color: #b1b1b1;
}

.auth-buttons {
    display: flex;
    gap: 10px;
}

.btn {
    padding: 10px 15px;
    border: none;
    cursor: pointer;
    font-size: 16px;
}

.login-btn {
    background-color: #1c58a7;
    color: #fff;
    border-radius: 10px;
}

.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    position: absolute;
    right: 20px;
    top: 15px;
}

.hamburger div {
    width: 25px;
    height: 3px;
    background-color: white;
    margin: 3px 0;
    transition: all 0.3s ease;
}

/* banner style */

.banner {
    width: 100%;
    height: auto;
    overflow: hidden;
    background-image: url('/img/dark-background.jpg');
}

.banner_content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 4rem;
    line-height: 2;
}

.banner_content h1 {
    font-size: 54px;
    font-weight: 800;
    color: rgb(255, 255, 255);
}

.banner_content h3 {
    font-size: 30px;
    color: rgb(255, 255, 255);
}

/* img card  */

.img-card {
    width: 250px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-color: white;
    position: relative;
    text-align: center;
}

.img-card:hover {
    transform: scale(1.07);
    cursor: pointer;
    transition: 1s;
}

.img-card-image img {
    width: 100%;
    height: auto;
}

.img-card-content {
    padding: 15px;
    background-color: #fff;
}

.img-card-content h3 {
    font-size: 16px;
    font-weight: bold;
    color: #333;
}

.img-card-number {
    position: absolute;
    bottom: 105px;
    left: 18px;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 7rem;
    font-weight: bold;
    color: rgb(255, 255, 255);
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

/* end image card  */


/* carosul start  */

.item {
    height: 300px;
}

.item img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin-top: 15px;
}

.name {
    margin-bottom: 2px;
    color: #8c52ff;
}

.occupation {
    font-style: italic;
    margin-top: 2px;
}

main#carousel {
    grid-row: 1 / 2;
    grid-column: 1 / 8;
    height: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transform-style: preserve-3d;
    perspective: 600px;
    --items: 5;
    --middle: 3;
    --position: 1;
}

div.item {
    text-align: center;
    padding: 20px;
    border: 3px solid black;
    border-radius: 20px;
    background-color: #fff;
    position: absolute;
    width: 300px;
    height: 400px;
    background-color: white;
    --r: calc(var(--position) - var(--offset));
    --abs: max(calc(var(--r) * -1), var(--r));
    transition: all 0.25s linear;
    transform: rotateY(calc(-10deg * var(--r))) translateX(calc(-300px * var(--r)));
    z-index: calc((var(--position) - var(--abs)));
}

div.item:nth-of-type(1) {
    --offset: 1;
}

div.item:nth-of-type(2) {
    --offset: 2;
}

div.item:nth-of-type(3) {
    --offset: 3;
}

div.item:nth-of-type(4) {
    --offset: 4;
}

div.item:nth-of-type(5) {
    --offset: 5;
}

input:nth-of-type(1) {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}

input:nth-of-type(1):checked~main#carousel {
    --position: 1;
}

input:nth-of-type(2) {
    grid-column: 3 / 4;
    grid-row: 2 / 3;
}

input:nth-of-type(2):checked~main#carousel {
    --position: 2;
}

input:nth-of-type(3) {
    grid-column: 4 /5;
    grid-row: 2 / 3;
}

input:nth-of-type(3):checked~main#carousel {
    --position: 3;
}

input:nth-of-type(4) {
    grid-column: 5 / 6;
    grid-row: 2 / 3;
}

input:nth-of-type(4):checked~main#carousel {
    --position: 4;
}

input:nth-of-type(5) {
    grid-column: 6 / 7;
    grid-row: 2 / 3;
}

input:nth-of-type(5):checked~main#carousel {
    --position: 5;
}

/* carosul end  */


/* Slider start  */

.gym-list-slider {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem;
    background-color: #cccaca;
}

.slider-container {
    position: relative;
    width: 90%;
    max-width: 1000px;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.slider {
    display: flex;
    transition: transform 0.4s ease-in-out;
}

.slide {
    min-width: 25%;
    /* Four images at a time */
    box-sizing: border-box;
    padding: 10px;
}

.slide img {
    width: 100%;
    border-radius: 10px;
}

.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    font-size: 18px;
    z-index: 1;
    border-radius: 50%;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}
/* Multi form styling  */
.multi-form-cont {
    width: 40%;
    margin: 20px auto;
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 8px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    opacity: 1;
}

Label {
    color: black;
    font-size: 16px;
    font-weight: bold;
}


/* Progress Bar */
.progress-bar {
    width: 100%;
    background-color: #ddd;
    border-radius: 8px;
    overflow: hidden;
    margin-bottom: 15px;
    height: 10px;
    position: relative;
}

.progress {
    height: 100%;
    background-color: #4CAF50;
    width: 0;
    transition: width 0.3s ease;
}


.form-step {
    display: none;
    text-align: left;
}

.form-step.active {
    display: block;
}

/* Button styling */
button {
    padding: 10px 20px;
    margin: 10px 5px 0 0;
    cursor: pointer;
    border: none;
    border-radius: 4px;
    background-color: #4CAF50;
    color: #fff;
    font-size: 14px;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #45a049;
}

input[type="text"],
input[type="email"],
input[type="date"] {
    width: 100%;
    padding: 10px;
    margin: 5px 0 10px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fff;
    margin: 6% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 50%;
    border-radius: 8px;
    color: black;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

/* Multi form styling end  */

/* Slider end  */

.container {
    max-width: 100%;
    margin: 20px auto;
    padding: 20px;
}

.container-carosoul {
    max-width: 100%;
    margin: 20px auto;
    padding: 20px;
    background-color: #f0f0f0;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.header h3 {
    font-size: 2.5rem;
    color: rgb(0, 0, 0);
}

.see-more {
    text-decoration: none;
    color: #666;
    font-size: 0.9rem;
    border-bottom: 1px solid #5c5c5c;
}

.see-more:hover {
    color: #000;
    border-color: #000;
}

.gym-list-card {
    display: flex;
    justify-content: space-between;
    gap: 15px;
}

.gym-list {
    display: flex;
    justify-content: space-between;
    gap: 15px;
}

.gym-list-carosoul {
    background-color: #f0f0f0;
    margin: 0;
    display: grid;
    grid-template-rows: 500px 100px;
    grid-template-columns: 1fr 30px 30px 30px 30px 30px 1fr;
    align-items: center;
    text-align: center;
    font-family: 'Poppins', sans-serif;
}

.gym-item {
    flex: 1;
    height: 150px;
    background-color: #f0f0f0;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #ccc;
}

.card {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    width: 30%;
    padding: 20px;
    background-color: #f5f5f5;
    border: 1px solid rgb(230, 229, 229);
    border-radius: 30px;

}

.card-img-content {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.card-img-content img {
    width: 80px;
    height: 80px;
    border-radius: 20px;
}

.card-para p {
    margin-top: 20px;
}

.img-card {
    display: flex;
    flex-direction: column;
}


.footer {
    background-color: #000;
    color: #fff;
    padding: 40px 20px;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
}

.footer-column {
    flex: 1;
    margin: 10px;
    min-width: 180px;
}

.footer-column h3 {
    font-size: 18px;
    margin-bottom: 15px;
}

.footer-column ul {
    list-style: none;
}

.footer-column ul li {
    margin-bottom: 10px;
}

.footer-column ul li a {
    color: #fff;
    text-decoration: none;
}

.footer-column ul li a:hover {
    text-decoration: underline;
}

.app-download p {
    margin: 10px 0;
}

.app-buttons img {
    width: 150px;
    margin-right: 10px;
}


.option-boxes {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.option {
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    width: 140px;
    text-align: center;
    transition: background-color 0.3s, color 0.3s;
}

.option input[type="radio"] {
    display: none;
}

.option input[type="checkbox"]:checked+span,
.option input[type="radio"]:checked+span {
    background-color: #007bff;
    color: white;
    display: inline-block;
    border-radius: 5px;
}

.option input[type="checkbox"],
.option input[type="radio"] {
    display: none;
}

.option input[type="checkbox"]:checked+span,
.option input[type="radio"]:checked+span {
    background-color: #007bff;
    color: white;
    border-radius: 5px;
}

.option input[type="checkbox"]:checked+span,
.option input[type="radio"]:checked~span {
    background-color: #007bff;
    color: white;
    width: 100%;
}

.option input[type="checkbox"]:checked+span,
.option input[type="radio"]:checked~.option {
    background-color: #007bff;
    color: white;
}


@media only screen and (max-width: 1100px) {
    .navbar {
        flex-direction: column;
        gap: 20px;
    }

    .multi-form-cont {
        width: 100%;
    }

    .option {
        width: 32%;
    }

    .banner_content {
        text-align: center;
        padding: 1rem;
    }

    .gym-list-card {
        flex-direction: column;
        align-items: center;
    }

    .gym-list-card .card {
        width: 70%;
    }

    .card-img-content {
        flex-direction: column;
    }

    .gym-list {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .gym-list .img-card {
        width: 60%;
    }
}

@media only screen and (max-width: 768px) {
    .option-boxes {
        flex-direction: column;
        width: 100%;
    }

    .form-step {
        width: 100%;
    }

    .option {
        width: 100%;
    }

    .gym-list-card .card {
        width: 100%;
    }

    .slide {
        flex: 0 0 50%;
    }

    .nav-items {
        display: none;
        flex-direction: column;
        background-color: #535252;
        padding: 10px 0;
        border-radius: 5px;
    }

    .nav-items.active {
        display: flex;
    }

    .auth-buttons {
        display: flex;
        position: absolute;
        left: 20px;
        top: 5px;
    }

    .nav-items li {
        margin: 10px 0;
    }

    .hamburger {
        display: flex;
    }

    .hamburger.cross div:nth-child(1) {
        transform: rotate(45deg) translate(5px, 5px);
    }

    .hamburger.cross div:nth-child(2) {
        opacity: 0;
    }

    .hamburger.cross div:nth-child(3) {
        transform: rotate(-45deg) translate(5px, -5px);
    }
}

@media only screen and (max-width: 480px) {
    .slide {
        flex: 0 0 100%;
    }

    .modal-content {
        width: 100%;
    }

    .gym-list .img-card {
        width: 100%;
    }

    div.item {
        width: 270px;
    }

    .banner_content {
        padding: 20px;
    }

    .banner_content h1 {
        font-size: 36px;
    }

    .banner_content h3 {
        font-size: 20px;
    }

    .multi-form-cont {
        width: 100%;
    }

}